Skip to main content
GET
/
v1
/
form_fields
/
{id}
Retrieves a Form Field
curl --request GET \
  --url https://api.rootly.com/v1/form_fields/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "fdd330aa-021c-4a01-b496-29eff88475b2",
    "type": "form_fields",
    "attributes": {
      "team_id": 225,
      "slug": "molestiae-voluptatem-hic-ipsam",
      "kind": "custom",
      "input_kind": "text",
      "value_kind": "inherit",
      "value_kind_catalog_id": null,
      "name": "Molestiae voluptatem hic ipsam.",
      "description": "Quibusdam consequatur molestiae suscipit.",
      "shown": [
        "web_new_incident_form",
        "web_update_incident_form"
      ],
      "required": [],
      "default_values": [],
      "show_on_incident_details": true,
      "enabled": true,
      "updated_at": "2026-02-07T16:46:57.936-08:00",
      "created_at": "2026-02-07T16:46:57.936-08:00"
    },
    "relationships": {
      "options": {
        "data": [
          {
            "id": "2e661276-e0d6-4e10-85b4-4844c51810f4",
            "type": "form_field_options"
          },
          {
            "id": "eef30622-5c3b-4ef2-b253-01f34ae999c2",
            "type": "form_field_options"
          }
        ]
      },
      "positions": {
        "data": [
          {
            "id": "a466b2fe-4464-470a-9316-0c088dd7a4ed",
            "type": "form_field_positions"
          },
          {
            "id": "d03d8f9d-b11c-4752-988b-5ca239335a24",
            "type": "form_field_positions"
          }
        ]
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
required

Resource UUID

Query Parameters

include
enum<string>

comma separated if needed. eg: options,positions

Available options:
options,
positions

Response

form_field found by slug

data
object
required